C# Class CascadeSharp.TKMath.Bnd.Bnd_B3d

Show file Open project: Oblikovati/CascadeSharp Class Usage Examples

Public Methods

Method Description
Add ( Bnd_B3d theBox ) : void
Add ( gp_Pnt thePnt ) : void
Add ( gp_XYZ thePnt ) : void
Bnd_B3d ( ) : System
Bnd_B3d ( Bnd_B3d parameter1 ) : System
Bnd_B3d ( gp_XYZ theCenter, gp_XYZ theHSize ) : System
Clear ( ) : void
CornerMax ( ) : gp_XYZ
CornerMin ( ) : gp_XYZ
Enlarge ( double theDiff ) : void
IsIn ( Bnd_B3d theBox ) : bool
IsIn ( Bnd_B3d theBox, gp_Trsf theTrsf ) : bool
IsOut ( Bnd_B3d theOtherBox ) : bool
IsOut ( Bnd_B3d theOtherBox, gp_Trsf theTrsf ) : bool
IsOut ( gp_Ax1 theLine ) : bool
IsOut ( gp_Ax1 theLine, bool _isRay ) : bool
IsOut ( gp_Ax1 theLine, bool _isRay, double theOverthickness ) : bool
IsOut ( gp_Ax3 thePlane ) : bool
IsOut ( gp_XYZ thePnt ) : bool
IsOut ( gp_XYZ theCenter, double theRadius ) : bool
IsOut ( gp_XYZ theCenter, double theRadius, bool _isSphereHollow ) : bool
IsVoid ( ) : bool
Limit ( Bnd_B3d theOtherBox ) : bool
SetCenter ( gp_XYZ theCenter ) : void
SetHSize ( gp_XYZ theHSize ) : void
SquareExtent ( ) : double
Transformed ( gp_Trsf theTrsf ) : Bnd_B3d

Method Details

Add() public method

public Add ( Bnd_B3d theBox ) : void
theBox Bnd_B3d
return void

Add() public method

public Add ( gp_Pnt thePnt ) : void
thePnt gp_Pnt
return void

Add() public method

public Add ( gp_XYZ thePnt ) : void
thePnt gp_XYZ
return void

Bnd_B3d() public method

public Bnd_B3d ( ) : System
return System

Bnd_B3d() public method

public Bnd_B3d ( Bnd_B3d parameter1 ) : System
parameter1 Bnd_B3d
return System

Bnd_B3d() public method

public Bnd_B3d ( gp_XYZ theCenter, gp_XYZ theHSize ) : System
theCenter gp_XYZ
theHSize gp_XYZ
return System

Clear() public method

public Clear ( ) : void
return void

CornerMax() public method

public CornerMax ( ) : gp_XYZ
return gp_XYZ

CornerMin() public method

public CornerMin ( ) : gp_XYZ
return gp_XYZ

Enlarge() public method

public Enlarge ( double theDiff ) : void
theDiff double
return void

IsIn() public method

public IsIn ( Bnd_B3d theBox ) : bool
theBox Bnd_B3d
return bool

IsIn() public method

public IsIn ( Bnd_B3d theBox, gp_Trsf theTrsf ) : bool
theBox Bnd_B3d
theTrsf gp_Trsf
return bool

IsOut() public method

public IsOut ( Bnd_B3d theOtherBox ) : bool
theOtherBox Bnd_B3d
return bool

IsOut() public method

public IsOut ( Bnd_B3d theOtherBox, gp_Trsf theTrsf ) : bool
theOtherBox Bnd_B3d
theTrsf gp_Trsf
return bool

IsOut() public method

public IsOut ( gp_Ax1 theLine ) : bool
theLine gp_Ax1
return bool

IsOut() public method

public IsOut ( gp_Ax1 theLine, bool _isRay ) : bool
theLine gp_Ax1
_isRay bool
return bool

IsOut() public method

public IsOut ( gp_Ax1 theLine, bool _isRay, double theOverthickness ) : bool
theLine gp_Ax1
_isRay bool
theOverthickness double
return bool

IsOut() public method

public IsOut ( gp_Ax3 thePlane ) : bool
thePlane gp_Ax3
return bool

IsOut() public method

public IsOut ( gp_XYZ thePnt ) : bool
thePnt gp_XYZ
return bool

IsOut() public method

public IsOut ( gp_XYZ theCenter, double theRadius ) : bool
theCenter gp_XYZ
theRadius double
return bool

IsOut() public method

public IsOut ( gp_XYZ theCenter, double theRadius, bool _isSphereHollow ) : bool
theCenter gp_XYZ
theRadius double
_isSphereHollow bool
return bool

IsVoid() public method

public IsVoid ( ) : bool
return bool

Limit() public method

public Limit ( Bnd_B3d theOtherBox ) : bool
theOtherBox Bnd_B3d
return bool

SetCenter() public method

public SetCenter ( gp_XYZ theCenter ) : void
theCenter gp_XYZ
return void

SetHSize() public method

public SetHSize ( gp_XYZ theHSize ) : void
theHSize gp_XYZ
return void

SquareExtent() public method

public SquareExtent ( ) : double
return double

Transformed() public method

public Transformed ( gp_Trsf theTrsf ) : Bnd_B3d
theTrsf gp_Trsf
return Bnd_B3d